> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Inventory Settings for Location

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/inventory/locations/{location_id}/items
Content-Type: application/json


Update inventory settings for items at a location.

**Limits**
* Limit of 2000 items for payload length.


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/inventory/items/put-location-inventory-items

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `location_id` (integer, required) — Unique identifier for a location.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a LocationItemsSettingsRequest.

- `settings` (list of LocationItemsSettingsRequestSettingsItems, required)

## Response

### 200

Request has been successfully processed.

- `transaction_id` (string, optional) — Unique identifier of performed action.

## Errors

### 422 Unprocessable Entity Error

Incorrect entity. Item was not valid due to missing required fields or invalid data. See the response for more details.

- `status` (integer, optional) — The HTTP status code generated by the origin server for this occurrence of the problem.
- `title` (string, optional) — Human readable error message.
- `type` (string, optional) — URL identifying the error type. Dereferencing the URL leads to documentation about the error type.
- `errors` (ErrorResponseErrors, optional) — The detailed summary describing the particular error.

## Types

### LocationItemsSettingsRequestSettingsItems

- `identity` (LocationItemsSettingsRequestSettingsItemsIdentity, optional) — One of the `sku`, `product_id`, or `variant_id` is required to identify the item.
- `safety_stock` (integer, optional) — Safety stock. Decreases the amount available for selling items at that amount. If missing, the value will remain the same.
- `is_in_stock` (boolean, optional) — Shows whether an item is available for purchase independent of quantity. If missing, the value will remain the same.
- `warning_level` (integer, optional) — Inventory warning level for the product. The store owner will be informed when the product's inventory level drops below the warning level. If missing, the value will remain the same.
- `bin_picking_number` (string, optional) — Warehouse location identifier; bin picking number for the item.
- `backorder_limit` (integer, optional, nullable) — Maximum quantity that can be backordered for this item. If missing, the value will remain the same. `null` means unlimited backorder.

### ErrorResponseErrors

The detailed summary describing the particular error.

### LocationItemsSettingsRequestSettingsItemsIdentity

One of the `sku`, `product_id`, or `variant_id` is required to identify the item.

### LocationItemsSettingsRequestSettingsItemsIdentity0

- `sku` (string, optional) — "Stock keeping unit" identifier of an item.

### LocationItemsSettingsRequestSettingsItemsIdentity1

- `variant_id` (integer, optional) — ID of variant.

### LocationItemsSettingsRequestSettingsItemsIdentity2

- `product_id` (integer, optional) — ID of product.

## Examples

**Request**

```json
{
  "settings": [
    {}
  ]
}
```

**Response**

```json
{
  "transaction_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items"

payload = { "settings": [{}] }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"settings":[{}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items"

	payload := strings.NewReader("{\n  \"settings\": [\n    {}\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"settings\": [\n    {}\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"settings\": [\n    {}\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items', [
  'body' => '{
  "settings": [
    {}
  ]
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"settings\": [\n    {}\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["settings": [[]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```